<?php
defined('BASEPATH') or exit('No direct script access allowed');

class ControllerDataRoleLevel extends CI_Controller
{

    public function __construct()
    {
        parent::__construct();
        //validasi jika user belum login
        check_not_login();
        if ($this->session->userdata('level') != 1) {
            redirect();
        }
        $this->set_timezone();
        $this->load->library('encrypt');
        $this->load->library('form_validation');
        $this->load->library('Mycustom');
        $this->load->library('pdfgenerator');
        $this->load->library('Notifikasi');
        $this->load->model('bagian_owner/insert_model');
        $this->load->model('bagian_owner/select_model');
        $this->load->model('bagian_owner/update_model');
    }
    public function set_timezone()
    {
        date_default_timezone_set("Asia/Jakarta");
    }

    public function index()
    {
        $notif                 = $this->notifikasi->notif_owner();
        // Data Login
        $data_login            = $this->userlogin->user_login(); // Menampilkan siapa yang login
        $data_id_login         = $this->session->userdata('isloggedin'); // Menampilkan data session
        // Data Isian Konten
        // Query SQL Data atau isi data page
        // Menampilkan saldo pertama koperasi 
        $data_table = $this->db->get_where('sistem_role_level')->result();
        $jml_data   = count($data_table);
        $data = array(
            // Untuk memanggil halaman sesuai menu
            'folder'              => 'database/sistem/role_level',
            'page'                => 'index',
            'judul'               => 'Kelola Database Bagian Sistem Role Level || Bagian Pengurus',
            'data_id_login'       => $data_id_login,
            'data_login'          => $data_login,
            'notif'               => $notif,
            // Isi data
            'jml_data'            => $jml_data,
            'data_table'          => $data_table
        );
        $this->load->view('owner/index', $data);
    }
    // Crud
    public function crud()
    {
        if (isset($_POST['updateDatabaseTerbaru'])) :
            $data = array(
                'role_level'  => htmlspecialchars($this->input->post('role_level')),
                'ket_role'    => htmlspecialchars($this->input->post('ket_role')),
                'status_role' => htmlspecialchars($this->input->post('status_role'))
            );
            $this->db->where('id', htmlspecialchars($this->input->post('role_id')));
            $this->db->update('sistem_role_level', $data);
            $this->session->set_flashdata('pesan_berhasil', '<div class="alert alert-success" id="pesan_berhasil" role="alert">Berhasil Merubah Data!</div>');
            redirect('owner/database/sistem/role_level');
        endif;
    }
}

/* End of file ControllerDataRoleLevel.php and path \application\controllers\owner\database\sistem\ControllerDataRoleLevel.php */